Skip to content

3D Secure Authentication

To manage certain aspects of the 3D Secure (3DS) authentication, you will need to integrate with the following APIs.

Inform challenge result

Request

Once the customer has accepted or rejected the push notification for a 3DS challenge, you can use this endpoint to notify us of the result.

You must call this endpoint before the expiration time, otherwise it will return a 400 error. You can find the expiration information from the 3DS challenge webhook event.

Only the first call to this endpoint will be processed. Any subsequent duplicate requests will be ignored, although you will still receive a success response.

This endpoint is SCA protected when it applies. If your profile is registered within the UK and/or EEA, SCA most likely applies to you. For more information, please read implementing SCA.

Security
UserToken
Path
profileIdinteger, (int64)required

The profile ID (personal or business) associated with the 3DS challenge.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
transactionReferencestringrequired

Transaction reference as received in the 3DS challenge webhook event.

Example:"148579538"
challengeStatusstringrequired

The customer's response to the 3DS challenge.

Enum:"APPROVED""REJECTED"
Example:"APPROVED"
curl -i -X POST \
  'https://api.wise.com/2026Q3/spend/profiles/{profileId}/3dsecure/challenge-result' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "transactionReference": "148579538",
    "challengeStatus": "APPROVED"
  }'

Responses

No Content - Challenge result has been successfully recorded.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Response
No content